# Class Convertisseur

java.lang.Object
fr.iutfbleau.sae.Convertisseur

public class Convertisseur extends Object
Point d'entree principal du programme de conversion d'images au format PIF. Lance l'interface graphique et initialise le processus de conversion.

## Constructor Summary

Constructors
Constructor
Description
`Convertisseur()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Methode principale qui demarre l'application de conversion.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Convertisseur

public Convertisseur()

## Method Details

### main

public static void main(String[] args)
Methode principale qui demarre l'application de conversion. Arguments acceptes : - args[0] : chemin du fichier image d'entree (optionnel) - args[1] : chemin du fichier PIF de sortie (optionnel) Si aucun argument n'est fourni, l'utilisateur pourra choisir les fichiers via l'interface graphique.

Parameters:
  `args` - les arguments de la ligne de commande